using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Ktyl.Util;

public class ArtefactTriggerArea : MonoBehaviour
{
    [SerializeField] private SerialInt _nearbyArtefactID;

    public int id => _id;
    [SerializeField] private int _id;

    private void OnTriggerEnter(Collider Player)
    {
        EventHandler.current.ArtefactTriggerEnter(_id);
        //PlayerInputHandler.id = _id;
        _nearbyArtefactID.Value = _id;
    }

    private void OnTriggerExit(Collider Player)
    {
        EventHandler.current.ArtefactTriggerExit(_id);
        //PlayerInputHandler.id = 0;
        _nearbyArtefactID.Value = -1;
    }
    
}